
#version 110

uniform sampler2D depthTex;
uniform sampler2D realtimeTex;
uniform float threshold;
uniform float alphaFactor;
varying vec2 texture_coordinate;

void main()
{
    float depth = texture2D(depthTex, texture_coordinate).b;
    float rtDepth = texture2D(realtimeTex, texture_coordinate).b;
    //vec3 rgb = texture2D( rgbTex, texture_coordinate ).rgb;
    float alpha = 0.0;
    float red = 1.0;
    
    //if(depth < threshold) discard;
    
    alpha = sqrt((depth-threshold)/(1.0-threshold));
    //alpha = 1;
    
    //alpha *= alphaFactor;
    
    //gl_FragColor.rgb = (depth-threshold)/threshold*rgb;
	//gl_FragColor.rgb = rgb;
    gl_FragColor.rgb = vec3( 1.0 );
	gl_FragColor.a = alpha;
}

